import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaCrawlerMapping } from '@overflow/commons-typescript/model/meta';


@Injectable()
export class MetaCrawlerMappingService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaCrawlerMapping[]> {
    return this.rpcService.call<MetaCrawlerMapping[]>('CentralMetaCrawlerMappingService.readAll');
  }
}
